다음을 통해 공유


Organization Operations - List

공급자에 대한 작업 나열

GET https://management.azure.com/providers/Microsoft.Confluent/operations?api-version=2024-07-01

URI 매개 변수

Name In(다음 안에) 필수 형식 Description
api-version
query True

string

minLength: 1

이 작업에 사용할 API 버전입니다.

응답

Name 형식 Description
200 OK

OperationListResult

Azure 작업이 성공적으로 완료되었습니다.

Other Status Codes

ResourceProviderDefaultErrorResponse

예기치 않은 오류 응답입니다.

보안

azure_auth

Azure Active Directory OAuth2 흐름.

형식: oauth2
Flow: implicit
권한 부여 URL: https://login.microsoftonline.com/common/oauth2/authorize

범위

Name Description
user_impersonation 사용자 계정 가장

예제

OrganizationOperations_List

샘플 요청

GET https://management.azure.com/providers/Microsoft.Confluent/operations?api-version=2024-07-01

샘플 응답

{
  "nextLink": null,
  "value": [
    {
      "name": "Microsoft.Confluent/organizations/Read",
      "display": {
        "description": "Read organization",
        "operation": "Get/List organization resources",
        "provider": "Microsoft.Confluent",
        "resource": "organizations"
      },
      "isDataAction": false
    },
    {
      "name": "Microsoft.Confluent/organizations/Write",
      "display": {
        "description": "Write organization",
        "operation": "Create/Update organization resources",
        "provider": "Microsoft.Confluent",
        "resource": "organizations"
      },
      "isDataAction": false
    },
    {
      "name": "Microsoft.Confluent/organizations/Delete",
      "display": {
        "description": "Delete organization",
        "operation": "Delete organization resources",
        "provider": "Microsoft.Confluent",
        "resource": "organizations"
      },
      "isDataAction": false
    }
  ]
}

정의

Name Description
ErrorResponseBody

오류의 응답 본문

OperationDisplay

작업을 나타내는 개체입니다.

OperationListResult

Confluent 작업을 나열하기 위한 GET 요청의 결과입니다.

OperationResult

Confluent REST API 작업입니다.

ResourceProviderDefaultErrorResponse

리소스 공급자에 대한 기본 오류 응답

ErrorResponseBody

오류의 응답 본문

Name 형식 Description
code

string

오류 코드

details

ErrorResponseBody[]

오류 세부 정보

message

string

오류 메시지

target

string

오류 대상

OperationDisplay

작업을 나타내는 개체입니다.

Name 형식 Description
description

string

작업에 대한 설명입니다(예: '쓰기 구성').

operation

string

작업 유형(예: 읽기, 쓰기, 삭제 등)

provider

string

서비스 공급자: Microsoft.Confluent

resource

string

작업이 수행되는 형식(예: '클러스터')입니다.

OperationListResult

Confluent 작업을 나열하기 위한 GET 요청의 결과입니다.

Name 형식 Description
nextLink

string

다음 작업 목록 결과 집합(있는 경우)을 가져오는 URL입니다.

value

OperationResult[]

Microsoft.Confluent 공급자가 지원하는 Confluent 작업 목록입니다.

OperationResult

Confluent REST API 작업입니다.

Name 형식 Description
display

OperationDisplay

작업을 나타내는 개체입니다.

isDataAction

boolean

작업이 데이터 작업인지 여부를 나타냅니다.

name

string

작업 이름: {provider}/{resource}/{operation}

ResourceProviderDefaultErrorResponse

리소스 공급자에 대한 기본 오류 응답

Name 형식 Description
error

ErrorResponseBody

오류의 응답 본문